Page MenuHomePhabricator

Upgrade acme-chief to run in debian buster
Closed, ResolvedPublic

Description

leverage the fact that we are deploying new instances due to the certcentral rename task T207389 and deploy the new ones using buster instead of stretch

Details

Related Gerrit Patches:
operations/puppet : productionuwsgi: Take buster into account
operations/software/certcentral : debiandebian: Add release 0.10 to changelog
operations/software/certcentral : debianRelease 0.10
operations/software/certcentral : debianacme-chief: Bump to buster
operations/software/certcentral : masterRelease 0.10
operations/software/certcentral : masteracme-chief: Bump to buster

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 4:53 PM
Vgutierrez triaged this task as Medium priority.Feb 12 2019, 4:53 PM

Change 490093 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] acme-chief: Bump to buster

https://gerrit.wikimedia.org/r/490093

Change 490093 merged by jenkins-bot:
[operations/software/certcentral@master] acme-chief: Bump to buster

https://gerrit.wikimedia.org/r/490093

Change 490277 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@master] Release 0.10

https://gerrit.wikimedia.org/r/490277

Change 490277 merged by jenkins-bot:
[operations/software/certcentral@master] Release 0.10

https://gerrit.wikimedia.org/r/490277

Change 490278 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] acme-chief: Bump to buster

https://gerrit.wikimedia.org/r/490278

Change 490279 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] Release 0.10

https://gerrit.wikimedia.org/r/490279

Change 490280 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/software/certcentral@debian] debian: Add release 0.10 to changelog

https://gerrit.wikimedia.org/r/490280

Change 490278 merged by jenkins-bot:
[operations/software/certcentral@debian] acme-chief: Bump to buster

https://gerrit.wikimedia.org/r/490278

Change 490279 merged by jenkins-bot:
[operations/software/certcentral@debian] Release 0.10

https://gerrit.wikimedia.org/r/490279

Change 490280 merged by jenkins-bot:
[operations/software/certcentral@debian] debian: Add release 0.10 to changelog

https://gerrit.wikimedia.org/r/490280

Mentioned in SAL (#wikimedia-operations) [2019-02-13T06:46:40Z] <vgutierrez> uploaded acme-chief 0.10 to apt.wikimedia.org (buster) - T215925

Change 490339 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] uwsgi: Take buster into account

https://gerrit.wikimedia.org/r/490339

Change 490339 merged by Vgutierrez:
[operations/puppet@production] uwsgi: Take buster into account

https://gerrit.wikimedia.org/r/490339

Vgutierrez closed this task as Resolved.Feb 22 2019, 11:55 AM

acme-chief is running successfully in debian buster :)